/* Satoshi */
@font-face {
  font-family: 'Satoshi';
  src: url('/assets/fonts/Satoshi.woff2') format('woff2'),
       url('/assets/fonts/Satoshi.woff') format('woff'),
       url('/assets/fonts/Satoshi.ttf') format('truetype');
  font-weight: 300 900;
  font-style: normal;
}

:root {
    --color-gray-900: #182D31;
    --color-focus: #fe1b3f;
  }

  .k-header-title-text {
    font-family: 'Satoshi', sans-serif;
    font-weight: 750 !important;
    font-feature-settings: "ss01" 1;
    text-rendering: optimizeLegibility;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
  }

  .k-stat-value {
    font-family: 'Satoshi', sans-serif;
    font-weight: 650 !important;
    font-feature-settings: "ss01" 1;
    text-rendering: optimizeLegibility;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
  }

  .k-headline-field h2 {
    font-family: 'Satoshi', sans-serif;
    font-weight: 680 !important;
    font-feature-settings: "ss01" 1;
    text-rendering: optimizeLegibility;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
  }
  
  .k-topbar::after {
    float: right;
    content: '';
    margin-top: 10px;
    margin-right: 10px;
    width: 150px;
    height: 35px;
    background-image: url('/assets/img/visualbook-logo-na-svetle-pozadi-rgb.png');
    background-repeat: no-repeat;
    background-size: contain;
    clear: right;
  }

/* Dark mode when data-theme="dark" */
[data-theme="dark"] .k-topbar::after {
  background-image: url('/assets/img/visualbook-logo-na-tmave-pozadi-rgb.png');
}

  .k-topbar::after:hover {
    cursor: pointer;
  }


.k-cards .k-card-content {
  padding: 20% !important;
}

.k-cards .k-card-content .k-image {
  object-fit: contain;
}

.k-item[data-layout=cards] img[src$=".svg"] {
  padding: 20%;
}

.k-box[data-theme="positive"] .k-text {
  color: #355c15;
}

/* Dark mode */
[data-theme="dark"] .k-box[data-theme="positive"] .k-text {
  color: #89db5d; /* White color for dark mode */
}

/* Dark mode */
[data-theme="dark"] .k-box[data-theme="positive"] .k-text a {
  color: #e0fcd6; /* White color for dark mode */
}

/* Dark mode */
[data-theme="dark"] .k-box[data-theme="positive"] {
  color: #6dbc39; /* White color for dark mode */
  background-color: #182b05;
}

.k-box[data-theme="info"] .k-text {
  color: #00587F;
}

/* Dark mode */
[data-theme="dark"] .k-box[data-theme="info"] .k-text {
  color: #7ca8ff; /* White color for dark mode */
}

/* Dark mode */
[data-theme="dark"] .k-box[data-theme="info"] .k-text a {
  color: #d0e0ff; /* White color for dark mode */
}

/* Dark mode */
[data-theme="dark"] .k-box[data-theme="info"] {
  color: #6dbc39; /* White color for dark mode */
  background-color: #071338;
}

/* Dark mode */
[data-theme="dark"] .k-box[data-theme="gray"] .k-text {
  color: #a8a8a8; /* White color for dark mode */
}

/* Dark mode */
[data-theme="dark"] .k-box[data-theme="gray"] .k-text a {
  color: #e0e0e0; /* White color for dark mode */
}

/* Dark mode */
[data-theme="dark"] .k-box[data-theme="gray"] {
  color: #6dbc39; /* White color for dark mode */
  background-color: #262626;
}

.k-activation {
  display: none !important;
}

.k-button.k-activation-button.k-panel-menu-button {
  display: none !important;
}

.k-empty .k-icon {
  display: none;
}

[data-theme="dark"] section.k-modules-section .k-list-item:not(.k-draggable-item) {
  background-color: #262626;
}

.k-button[data-theme="blue-icon"] .k-icon {
  fill: #3196d0;
}

.k-button[data-theme="red-icon"] .k-icon {
  fill: #fe1b3f;
}

.k-button[data-theme="blue-icon"] {
  background-color: transparent;
  border: none;
}

.k-button[data-theme="red-icon"] {
  background-color: transparent;
  border: none;
}

.k-button[data-theme="orange-icon"] {
  background-color: transparent;
  border: none;
}

/* Skryje všechny ikony s `data-type="status-listed"` */
svg[data-type="status-listed"] {
  display: none !important;
}

/* Výjimka: Zobrazení ikonky v tlačítku s `data-theme="positive-icon"` a `aria-label="Stav: Veřejná` */
button[data-theme="positive-icon"][aria-label="Stav: Veřejná"] .k-icon {
  display: inline !important;
}

/* Výjimka: Zobrazení ikonky v tlačítku s `data-theme="positive-icon"` a `aria-label="Stav: Veřejná` */
button[data-theme="positive-icon"][aria-label="Status: Public"] .k-icon {
  display: inline !important;
}

/* Výjimka: Neaplikuje skrytí ikon ve skupině tlačítek `.k-button-group.k-view-buttons` */
.k-button-group.k-view-buttons svg[data-type="status-listed"] {
  display: inline !important;
}

/* Posunutí textu k-item-info doprava, pokud je ikonka skryta, v rámci sekce `.k-section-name-contentPages` */
.k-section-name-contentPages .k-item-content,
.k-section-name-externalLink .k-item-content,
.k-section-name-logoPagesShowcase .k-item-content,
.k-section-name-colorsPagesShowcase .k-item-content,
.k-section-name-typoPagesShowcase .k-item-content,
.k-section-name-contentPagesShowcase .k-item-content,
.k-section-name-portalPagesShowcase .k-item-content,
.k-section-name-infoPagesShowcase .k-item-content,
.k-section-name-defaultPages .k-item-content,
.k-section-name-infoPages .k-item-content,
.k-section-name-multibrandPages .k-item-content {
  margin-right: -35px;
}

@media (prefers-color-scheme: dark) {
  /* Omezí úpravu na karty s třídami `k-item k-cards-item k-draggable-item` */
  .k-item.k-cards-item.k-draggable-item figure.k-frame.k-image-frame.k-image.k-item-image {
    --back: hsl(0deg 0% 100%) !important; /* Nastaví bílé pozadí */
  }
}

@media (prefers-color-scheme: dark) {
  /* Zbarví karty, které NEMAJÍ inline nastavenou hodnotu --back */
  figure.k-frame.k-image-frame.k-image.k-item-image:not([style*="--back"]) {
    --back: hsl(0deg 0% 100%) !important; /* Nastaví bílé pozadí */
  }
}

@media (prefers-color-scheme: dark) {
  /* Target elements with the --back property set to var(--color-white) and override it */
  .k-item.k-cards-item figure.k-frame.k-image-frame.k-image.k-item-image[style*="--back: var(--color-white);"] {
    --back: hsl(0deg 0% 100%) !important; /* Set white background */
  }
}

[data-theme="dark"] {
  /* Omezí úpravu na karty s třídami `k-item k-cards-item k-draggable-item` */
  .k-item.k-cards-item.k-draggable-item figure.k-frame.k-image-frame.k-image.k-item-image {
    --back: hsl(0deg 0% 100%) !important; /* Nastaví bílé pozadí */
  }
}

[data-theme="dark"] {
  /* Zbarví karty, které NEMAJÍ inline nastavenou hodnotu --back */
  figure.k-frame.k-image-frame.k-image.k-item-image:not([style*="--back"]) {
    --back: hsl(0deg 0% 100%) !important; /* Nastaví bílé pozadí */
  }
}

[data-theme="dark"] {
  /* Target elements with the --back property set to var(--color-white) and override it */
  .k-item.k-cards-item figure.k-frame.k-image-frame.k-image.k-item-image[style*="--back: var(--color-white);"] {
    --back: hsl(0deg 0% 100%) !important; /* Set white background */
  }
}

.k-item-options .k-button-icon .k-icon[data-type="status-listed"] {
  fill: #89db5d; /* Změní barvu ikonky na červenou */
}

.k-item-options .k-button-icon .k-icon[data-type="status-draft"] {
  fill: #fe1b3f; /* Změní barvu ikonky na červenou */
  stroke: #fe1b3f; /* Pokud ikona používá obrys, změní i ten */
}

.k-view-button.k-status-view-button.k-page-status-button .k-button-icon .k-icon[data-type="status-listed"] {
  fill: #89db5d; /* Změní barvu ikonky na červenou */
}

.k-dialog.k-login.k-login-dialog::before {
  content: "";
  display: block; /* Zajistí, že pseudo-element funguje jako blokový element */
  margin: 0 auto; /* Zarovnání na střed */
  width: 160px;  /* Šířka loga */
  height: 40px;  /* Výška loga */
  background-size: contain;
  background-repeat: no-repeat;
  background-position: center; /* Zajistí správné umístění loga */
  margin-top: 40px; /* Mezera mezi horní částí dialogu a logem */
  margin-bottom: 10px; /* Mezera mezi logem a formulářem */
}

[data-theme="dark"] .k-dialog.k-login.k-login-dialog::before {
  background-image: url('/assets/img/visualbook-logo-na-tmave-pozadi-rgb.png'); /* Logo pro tmavý režim */
}

[data-theme="light"] .k-dialog.k-login.k-login-dialog::before {
  background-image: url('/assets/img/visualbook-logo-na-svetle-pozadi-rgb.png'); /* Logo pro světlý režim */
}

.k-user-view-image {
  display: none;
}

body.is-single-language .k-languages-dropdown {
  display: none !important;
}

.k-retour-stats {
  background-color: black;
}